### Method

# Ide TreeNode get_display_name

#### Declaration

    const gchar*
    ide_tree_node_get_display_name (
      IdeTreeNode* self
    )

#### Description

Gets the `IdeTreeNode:display-name` property.

Available since: | 3.32

Gets property | `Ide.TreeNode:display-name`

#### Return value

Returns: | `const gchar*`
| A string containing the display name.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.